LSBLK(8)

NAZWA
lsblk - wypisuje urządzenia blokowe

SKŁADNIA
lsblk [opcje] [urządzenie...]

OPIS
lsblk wypisuje informacje o wszystkich dostępnych lub podanych urządzeniach blokowych. Polecenie lsblk odczytuje system plików sysfs i udev db w celu zebrania informacji.

Domyślnie polecenie wypisuje informacje o wszystkich urządzeniach (z wyjątkiem dysków RAM) w formacie przypominającym drzewo. Za pomocą lsblk --help można uzyskać listę dostępnych kolumn.

Domyślny wynik, jak również domyślny wynik z opcji takich jak --fs i --topology może ulec zmianie. Gdy to tylko możliwe należy unikać używania domyślnych wyników w swoich skryptach. Proszę zawsze jawnie określać oczekiwane kolumny opcją --output lista w środowiskach wymagającego stabilnego wyniku.

Proszę zauważyć, że lsblk może być wykonane w momencie, gdy udev nie ma jeszcze wszystkich informacji o ostatnio dodanych lub zmodyfikowanych urządzeniach. W takim przypadku zaleca się użycie najpierw udevadm settle, aby dokonać synchronizacji z udev.

OPCJE

-a, --all
    Wypisuje również puste urządzenia (domyślnie są pomijane).

-b, --bytes
    Wypisuje kolumnę SIZE w bajtach zamiast w formacie czytelnym dla ludzi.

-D, --discard
    Wypisuje informacje o funkcjach "discard" (TRIM, UNMAP) przy każdym urządzeniu.

-d, --nodeps
    Nie wypisuje urządzeń nadrzędnych ani podrzędnych. Przykładowo lsblk --nodeps /dev/sda wypisze informacje tylko o urządzeniu sda.

-e, --exclude lista
    Pomija urządzenia podane w liście urządzeń określonych głównymi numerami urządzeń i oddzielonych przecinkami. Domyślnie pomijane są dyski RAM (główny numer urządzenia równy 1). Filtr ma zastosowanie jedynie do urządzeń najwyższego poziomu.

-f, --fs
    Wypisuje informacje o systemach plików. Jest to odpowiednik -o NAME,FSTYPE,LABEL,UUID,MOUNTPOINT. Pełne informacje o systemach plików i macierzach RAID są udostępniane przez polecenie blkid(8).

-h, --help
    Wyświetla pomoc i wychodzi.

-I, --include lista
    Obejmuje urządzenia podane w liście urządzeń określonych głównymi numerami urządzeń i oddzielonych przecinkami. Filtr ma zastosowanie jedynie do urządzeń najwyższego poziomu.

-i, --ascii
    Do formatowania drzewa używa znaków ASCII.

-J, --json
    Używa formatu wyjściowego JSON.

-l, --list
    Wynikowa postać ma formę listy.

-m, --perms
    Wypisuje informacje o posiadaczu, grupie i trybie urządzenia. Jest to odpowiednik -o NAME,SIZE,OWNER,GROUP,MODE.

-n, --noheadings
    Nie wypisuje nagłówka.

-o, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

    Domyślna listę kolumn można rozszerzyć, jeśli listę poda się w formacie +lista (np. lsblk -o +UUID).

-O, --output-all
    Wypisuje wszystkie domyślne kolumny.

-P, --pairs
    Produkuje wynik w formie par klucz="wartość". Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>).

-p, --paths
    Wypisuje pełne ścieżki urządzeń.

-r, --raw
    Produkuje wynik w formacie surowym. Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>) w kolumnach NAME, KNAME, LABEL, PARTLABEL i MOUNTPOINT.

-S, --scsi
    Wypisuje informacje jedynie o urządzeniach SCSI. Wszystkie partycje, urządzenia podrzędne i kieszenie na urządzenia są ignorowane.

-s, --inverse
    Wypisuje zależności w odwróconej kolejności.

-t, --topology
    Wypisuje informacje o topologii urządzeń blokowych. Jest to odpowiednik -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED,RQ-SIZE,RA,WSAME.

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

-x, --sort kolumna
    Sortuje wiersze wyjściowe wg kolumny.

UWAGI
W przypadku partycji część informacji (np. atrybuty kolejki) jest dziedziczona z urządzenia nadrzędnego.

Polecenie lsblk musi być w stanie odszukać każde urządzenie blokowe przez nr-główny:nr-poboczny (major:minor), co jest dokonywane za pomocą /sys/dev/block. Ten katalog urządzeń blokowych sysfs pojawił się w wersji jądra 2.6.27 (październik 2008). Jeśli z tak odpowiednio nowym jądrem występują problemy, proszę sprawdzić, czy jądro zbudowano z włączoną opcją CONFIG_SYSFS.

KODY ZAKOŃCZENIA

0   sukces

1   niepowodzenie

32  nie znaleziono wszystkich podanych urządzeń

64  znaleziono jedynie część podanych urządzeń

AUTORZY
Milan Broz <mbroz@redhat.com>
Karel Zak <kzak@redhat.com>

ŚRODOWISKO

LIBBLKID_DEBUG=all
    włącza wyjście debugowania libblkid.

LIBMOUNT_DEBUG=all
    włącza wyjście debugowania libmount.

LIBSMARTCOLS_DEBUG=all
    włącza wyjście debugowania libsmartcols.

ZOBACZ TAKŻE
findmnt(8), blkid(8), ls(1)

DOSTĘPNOŚĆ
Polecenie lsblk jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.